| AOMedia AV1 Codec

Data Fields
EncodeFrameParams Struct Reference

contains per-frame encoding parameters decided upon by av1_encode_strategy() and passed down to av1_encode(). More...

`#include <encoder.h>`

## Data Fields
int | error_resilient_mode
FRAME_TYPE | frame_type
int | show_frame
int | ref_frame_flags
int | remapped_ref_idx [REF_FRAMES]
RefreshFrameInfo | refresh_frame
int | speed

## Detailed Description

contains per-frame encoding parameters decided upon by av1_encode_strategy() and passed down to av1_encode().

## Field Documentation

## ◆ error_resilient_mode

int EncodeFrameParams::error_resilient_mode

Is error resilient mode enabled

Referenced by av1_encode().

## ◆ frame_type

FRAME_TYPE EncodeFrameParams::frame_type

Frame type (eg KF vs inter frame etc)

Referenced by av1_encode(), av1_encode_strategy(), av1_get_second_pass_params(), and define_gf_group().

## ◆ show_frame

int EncodeFrameParams::show_frame

Should the current frame be displayed after being decoded

Referenced by av1_encode(), av1_encode_strategy(), av1_get_second_pass_params(), and define_gf_group().

## ◆ ref_frame_flags

int EncodeFrameParams::ref_frame_flags

Bitmask of which reference buffers may be referenced by this frame.

Referenced by av1_encode(), and av1_encode_strategy().

## ◆ remapped_ref_idx

int EncodeFrameParams::remapped_ref_idx[REF_FRAMES]

Reference buffer assignment for this frame.

Referenced by av1_encode(), and av1_encode_strategy().

## ◆ refresh_frame

RefreshFrameInfo EncodeFrameParams::refresh_frame

Flags which determine which reference buffers are refreshed by this frame.

Referenced by av1_encode(), and av1_encode_strategy().

## ◆ speed

int EncodeFrameParams::speed

Speed level to use for this frame: Bigger number means faster.

Referenced by av1_encode(), and av1_encode_strategy().

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h